com.sun.source.tree

## Interface ParenthesizedTree

All Superinterfaces:
  ExpressionTree, Tree

    public interface ParenthesizedTree
    extends ExpressionTree

A tree node for a parenthesized expression. Note: parentheses not be preserved by the parser. For example:

       ( expression )

Since:
  1.6
See Also:
  "The Java Language Specification, 3rd ed, section 15.8.5"

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

Methods
`ExpressionTree` `getExpression()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

Copyright © 2005, 2017, Oracle and/or its affiliates. All rights reserved.